=== debian/changelog ===
ros-melodic-boost-sml (0.1.0-3stretch) stretch; urgency=high

  * [feature] Generate SML diagrams using boost.Graph (#4 <https://github.com/PickNikRobotics/boost_sml/issues/4>)
  * [feature] example source to enable catkin to build package that can be depended on (#2 <https://github.com/PickNikRobotics/boost_sml/issues/2>)
  * [fix] undefined reference error (#6 <https://github.com/PickNikRobotics/boost_sml/issues/6>)
    * Change static constexpr into const to avoid compiler errors when building in debug mode doesn't inline variables.
  * [fix] compilation errors when setting overriding CMAKE_CXX_STANDARD in catkin config. (#5 <https://github.com/PickNikRobotics/boost_sml/issues/5>)
  * [maint] move all headers into one directory (#3 <https://github.com/PickNikRobotics/boost_sml/issues/3>)
  * Contributors: JafarAbdi, Jere Liukkonen, Mark Moll, Tyler Weaver, picknik-jliukkonen

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 13 Oct 2020 06:00:00 -0000
